Skip to content
GET /unified/ticketing/ticket_status

Query Parameters

Refer Specifying query parameters in Truto APIs

ticket_typeobject

Type of the ticket

2 supported2 required
Azure DevOps
required
Jira Service Management
required
idstring

The unique identifier for a ticket type

namestring

The name of the ticket type

workspaceobject

Workspace associated with the ticket_status

2 supported2 required
Basecamp
required
Jira Service Management
required
idstring

The unique identifier for the workspace

collectionsobject[]
3 supported2 required2 notes
Basecamp
required

Collections associated with the ticket_status

HubSpot
required
Jira
supported

Project collections associated with the ticket_status

idstring
required·

The unique identifier for a collection

typestring
required·

The type of the collection

Possible values:
Todosetkanban_boardproject
ticketobject

The unique identifier for a ticket to retreieve the transitions or statuses for.

1 supported
Jira
supported
idstring
required·

The unique identifier for a ticket

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Ticket status

idstring
required·

The status's unique identifier

20 supported
Accelo
supported
Azure DevOps
supported
Basecamp
supported
BMC Helix
supported
Freshdesk
supported
Front
supported
HappyFox
supported
HubSpot
supported
Intercom
supported
Jira
supported
Jira Service Management
supported
Linear
supported
Productboard
supported
Qualtrics CoreXM
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
YouTrack
supported
Zendesk
supported
descriptionstring

The status's description

5 supported
Freshdesk
supported
Front
supported
Jira
supported
Salesforce
supported
Zendesk
supported
etagstring

The unique identifier for the specific version of the resource.

namestring

The status's name

20 supported
Accelo
supported
Azure DevOps
supported
Basecamp
supported
BMC Helix
supported
Freshdesk
supported
Front
supported
HappyFox
supported
HubSpot
supported
Intercom
supported
Jira
supported
Jira Service Management
supported
Linear
supported
Productboard
supported
Qualtrics CoreXM
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
YouTrack
supported
Zendesk
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

curl -X GET 'https://api.truto.one/unified/ticketing/ticket_status?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/ticket_status?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/ticket_status"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ticketing',
  'ticketstatus',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ticketing",
        "ticketstatus",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())